Cyberduck Mountain Duck CLI

#5460 closed enhancement (fixed)

Option to change default port for custom origin

Reported by: https://www.google.com/accounts/o8/id?id=aitoawlcryrk2g16nj5s7hjuysjnjuz8__m_zg0 Owned by: dkocher
Priority: low Milestone: 4.4
Component: cloudfront Version: 3.7
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Just been trying this feature out, which is a great addition. I think however there are easier ways of getting this to work. For example, if I want to make a distribution of www.wikijob.co.uk, I can't easily. The reasons are:

  • My bookmark is for wikijob.co.uk
  • The folder is /var/www on the server, so the origin URL cyberduck generates is http://wikijob.co.uk/var/www (when it should be http://www.wikijob.co.uk)
  • There is no way to configure what port it is to draw from. Like many high performance sites, we run varnish on port 80, which can interfere with CDNs. We run apache without varnish on 8080 to serve CDNs.

Change History (13)

comment:1 Changed on Nov 23, 2010 at 11:11:51 AM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Owner set to dkocher

Related to #5458.

comment:2 Changed on Nov 23, 2010 at 11:13:19 AM by dkocher

Please follow the configuration instructions in the wiki. You have to set the Web URL in the bookmark to match http://www.wikijob.co.uk) and set the default path of the bookmark to match your document root /var/www.

comment:3 Changed on Nov 23, 2010 at 11:17:38 AM by dkocher

  • Description modified (diff)
  • Summary changed from Cloudfront custom origin- a bit easier to Option to change default port

comment:4 Changed on Nov 23, 2010 at 11:18:17 AM by dkocher

Currently we do not honor the port in the Web URL configured but we should.

comment:5 Changed on Nov 23, 2010 at 11:41:47 AM by dkocher

  • Milestone set to 4.0

comment:6 Changed on Nov 23, 2010 at 2:00:45 PM by dkocher

  • Summary changed from Option to change default port to Option to change default port for custom Cloudfront origin

comment:7 Changed on Nov 24, 2010 at 12:17:05 PM by dkocher

  • Milestone changed from 4.0 to 4.1

Some work in r7744.

comment:8 Changed on Nov 28, 2010 at 9:35:37 PM by dkocher

  • Component changed from s3 to cloudfront

comment:9 Changed on Dec 1, 2010 at 5:21:21 PM by dkocher

  • Summary changed from Option to change default port for custom Cloudfront origin to Option to change default port for custom origin

comment:10 Changed on Dec 22, 2010 at 4:16:54 PM by dkocher

  • Milestone 4.1 deleted

comment:11 Changed on Jun 13, 2011 at 7:36:51 AM by dkocher

  • Priority changed from normal to low

comment:12 Changed on Oct 11, 2013 at 9:07:36 PM by dkocher

  • Milestone set to 4.4
  • Resolution set to fixed
  • Status changed from new to closed

In r13373.

comment:13 Changed on Oct 23, 2013 at 8:15:50 AM by dkocher

Revised fix in r13543. To use a custom port, set the port in the web url configuration of the bookmark which serves as the origin. Refer to the documentation.

Note: See TracTickets for help on using tickets.
swiss made software